### Hierarchy

- unknown
  - PromptPayAccountPayload

## Index

### Constructors

- constructor

### Methods

- getPromptPayId
- serializeBinary
- setPromptPayId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PromptPayAccountPayload(): PromptPayAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns PromptPayAccountPayload

## Methods

### getPromptPayId

- getPromptPayId(): string

- - Defined in src/protobuf/pb_pb.d.ts:5493

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:5496

  #### Returns Uint8Array

### setPromptPayId

- setPromptPayId(value: string): PromptPayAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5494

  #### Parameters

  - ##### value: string

  #### Returns PromptPayAccountPayload

### toObject

- toObject(includeInstance?: boolean): PromptPayAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5497

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PromptPayAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PromptPayAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5500

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PromptPayAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PromptPayAccountPayload, reader: BinaryReader): PromptPayAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5501

  #### Parameters

  - ##### message: PromptPayAccountPayload

  - ##### reader: BinaryReader

  #### Returns PromptPayAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PromptPayAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:5499

  #### Parameters

  - ##### message: PromptPayAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PromptPayAccountPayload ): PromptPayAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5498

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PromptPayAccountPayload

  #### Returns PromptPayAccountPayload . AsObject

Generated using TypeDoc